<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Thu Jun 07 14:32:06 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>BookProcess</title>
<meta name="date" content="2018-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BookProcess";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BookProcess.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Negocio/BookClass.html" title="class in Negocio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Negocio/PrestamoClass.html" title="class in Negocio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Negocio/BookProcess.html" target="_top">Frames</a></li>
<li><a href="BookProcess.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Negocio</div>
<h2 title="Class BookProcess" class="title">Class BookProcess</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Negocio.BookProcess</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">BookProcess</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Negocio/BookProcess.html#BookProcess--">BookProcess</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/BookProcess.html#addNewBook-java.lang.String-java.lang.String-java.lang.String-">addNewBook</a></span>(java.lang.String&nbsp;isbn,
          java.lang.String&nbsp;titulo,
          java.lang.String&nbsp;editorial)</code>
<div class="block">Añadir libro a la biblioteca<br></div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/BookProcess.html#confirmacionDeAccion-java.lang.String-">confirmacionDeAccion</a></span>(java.lang.String&nbsp;numISBN)</code>
<div class="block">Confirmacion de accion a realizar<br></div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/BookProcess.html#deleteBook-java.lang.String-">deleteBook</a></span>(java.lang.String&nbsp;numISBN)</code>
<div class="block">Borrado de un libro de la biblioteca<br></div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../Negocio/BookClass.html" title="class in Negocio">BookClass</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/BookProcess.html#getBook-java.lang.String-">getBook</a></span>(java.lang.String&nbsp;numISBN)</code>
<div class="block">Recuperacion de un libro determinado de la biblioteca<br></div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/BookProcess.html#isISBNExist-java.lang.String-">isISBNExist</a></span>(java.lang.String&nbsp;numISBN)</code>
<div class="block">Existencia de un libro en la biblioteca<br></div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../Negocio/BookClass.html" title="class in Negocio">BookClass</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/BookProcess.html#recoverObjBook-java.lang.String-">recoverObjBook</a></span>(java.lang.String&nbsp;numISBN)</code>
<div class="block">Recuperacion de un libro determinado de la biblioteca<br></div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/BookProcess.html#updateLibro-Negocio.BookClass-">updateLibro</a></span>(<a href="../Negocio/BookClass.html" title="class in Negocio">BookClass</a>&nbsp;libro)</code>
<div class="block">Actualizacion de los datos de un libro<br></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BookProcess--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BookProcess</h4>
<pre>public&nbsp;BookProcess()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addNewBook-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNewBook</h4>
<pre>public&nbsp;void&nbsp;addNewBook(java.lang.String&nbsp;isbn,
                       java.lang.String&nbsp;titulo,
                       java.lang.String&nbsp;editorial)
                throws java.sql.SQLException</pre>
<div class="block">Añadir libro a la biblioteca<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isbn</code> - String numero referencia de un libro</dd>
<dd><code>titulo</code> - String nombre del libro</dd>
<dd><code>editorial</code> - String editorial del libro</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="updateLibro-Negocio.BookClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateLibro</h4>
<pre>public&nbsp;void&nbsp;updateLibro(<a href="../Negocio/BookClass.html" title="class in Negocio">BookClass</a>&nbsp;libro)
                 throws java.sql.SQLException</pre>
<div class="block">Actualizacion de los datos de un libro<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>libro</code> - Objeto de la clase BookClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="deleteBook-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteBook</h4>
<pre>public&nbsp;void&nbsp;deleteBook(java.lang.String&nbsp;numISBN)
                throws java.sql.SQLException</pre>
<div class="block">Borrado de un libro de la biblioteca<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numISBN</code> - String Numero referencia de un libro de la biblioteca</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="isISBNExist-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isISBNExist</h4>
<pre>public&nbsp;boolean&nbsp;isISBNExist(java.lang.String&nbsp;numISBN)</pre>
<div class="block">Existencia de un libro en la biblioteca<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numISBN</code> - String Numero referencia de un libro de la biblioteca</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>booleano</dd>
</dl>
</li>
</ul>
<a name="getBook-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBook</h4>
<pre>public&nbsp;<a href="../Negocio/BookClass.html" title="class in Negocio">BookClass</a>&nbsp;getBook(java.lang.String&nbsp;numISBN)
                  throws java.sql.SQLException</pre>
<div class="block">Recuperacion de un libro determinado de la biblioteca<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numISBN</code> - String Numero referencia de un libro de la biblioteca</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retornara un Objeto de la clase BookClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="recoverObjBook-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>recoverObjBook</h4>
<pre>public&nbsp;<a href="../Negocio/BookClass.html" title="class in Negocio">BookClass</a>&nbsp;recoverObjBook(java.lang.String&nbsp;numISBN)
                         throws java.sql.SQLException</pre>
<div class="block">Recuperacion de un libro determinado de la biblioteca<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numISBN</code> - String Numero referencia de un libro de la biblioteca</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retornara un Objeto de la clase BookClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="confirmacionDeAccion-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>confirmacionDeAccion</h4>
<pre>public&nbsp;boolean&nbsp;confirmacionDeAccion(java.lang.String&nbsp;numISBN)
                             throws java.sql.SQLException</pre>
<div class="block">Confirmacion de accion a realizar<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numISBN</code> - String Numero referencia de un libro de la biblioteca</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>booleano</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BookProcess.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Negocio/BookClass.html" title="class in Negocio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Negocio/PrestamoClass.html" title="class in Negocio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Negocio/BookProcess.html" target="_top">Frames</a></li>
<li><a href="BookProcess.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
